<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@100023=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="on">
      <action>temp0 =maincpu.pb@10012F</action>
    </script>
    <script state="run">
      <action condition="(frame % 300 == 0) AND (maincpu.pb@10012F!=temp0 )">maincpu.pb@10012F=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@10010F=15</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shots">
    <script state="run">
      <action>maincpu.pb@100145=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Grenades">
    <script state="run">
      <action>maincpu.pb@10014B=01</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =slave.mb@000AAA</action>
    </script>
    <script state="run">
      <action>slave.mb@000AAA=60</action>
    </script>
    <script state="off">
      <action>slave.mb@000AAA=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Enemies never shoot">
    <script state="run">
      <action>maincpu.pb@100133=90</action>
    </script>
  </cheat>

  <cheat desc="Infinite Jumps (buggy?)">
    <script state="run">
      <action>maincpu.pb@10012B=05</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@10001B=1D</action>
      <action>maincpu.pw@100144=0000</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
